--- title: "Upload the DoS Profile from the Sensor" slug: "upload-the-dos-profile-from-the-sensor-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/upload-the-dos-profile-from-the-sensor-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Upload the DoS Profile from the Sensor This URL uploads the DoS profile from the Sensor. ### Resource URL PUT /sensor//uploaddosprofile ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful | Number | | `message` | Returns the status messages | String | ### Example **Request** PUT [https:///sdkapi/sensor/1002/uploaddosprofile](https://<NSM_IP>/sdkapi/sensor/1002/uploaddosprofile) **Response** ``` {       "status": 1,       "message": "Upload Complete for Dos (from sensor to manager)" } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 400 | 1124 | The Sensor is inactive |